#ifndef RSWITCH_H
#define RSWITCH_H

/**** INCLUDES ****/
#include "Arduino.h"
#include <RCSwitch.h>

/**** VARIABLES ****/

/**** DEFINES ****/

/**** CLASS ****/
class RSwitch{
  
  protected:
    char* housecode;
    char* plugcode;
    int pin;
    RCSwitch *myswitch;
    
  public:
    RSwitch(char* plugcode, char* housecode, int pin);
    void on();
    void off();

};

/**** METHODS ****/  
RSwitch::RSwitch(char* plugcode, char* housecode, int pin){
  
  this->pin = pin;
  this->housecode = housecode;
  this->plugcode = plugcode;
  this->myswitch = new RCSwitch();
  this->myswitch->enableTransmit(this->pin);
}

void RSwitch::on(){
  this->myswitch->switchOn(this->plugcode,this->housecode);
}

void RSwitch::off(){
  this->myswitch->switchOff(this->plugcode,this->housecode);
}


#endif
